Loading...
Searching...
No Matches
Dune::Functions::Concept::LocalView< GlobalBasis > Struct Template Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

## Public Member Functions

template<class V>

auto

require (const V &localView) -> decltype(requireType< typename V::size_type >(), requireType< typename V::MultiIndex >(), requireType< typename V::GlobalBasis >(), requireType< typename V::Tree >(), requireType< typename V::GridView >(), requireType< typename V::Element >(), requireSameType< typename V::GlobalBasis, GlobalBasis >(), requireSameType< typename V::GridView, typename GlobalBasis::GridView >(), requireSameType< typename V::size_type, typename GlobalBasis::size_type >(), requireSameType< typename V::Element, typename GlobalBasis::GridView::template Codim< 0 >::Entity >(), const_cast< V & >(localView).bind(std::declval< typename V::Element >()), const_cast< V & >(localView).unbind(), requireConvertible< bool >(localView.bound()), requireConvertible< typename V::Tree >(localView.tree()), requireConvertible< typename V::size_type >(localView.size()), requireConvertible< typename V::MultiIndex >(localView.index(std::declval< typename V::size_type >())), requireConvertible< typename V::size_type >(localView.maxSize()), requireConvertible< typename V::GlobalBasis >(localView.globalBasis()), requireConcept< BasisTree< typename V::GridView > >(localView.tree()), 0)

## Member Function Documentation

## require()

template<class GlobalBasis>
template<class V>

auto Dune::Functions::Concept::LocalView< GlobalBasis >::require

(

const V &

localView

)

->decltype(requireType< typenameV::size_type >(), requireType< typenameV::MultiIndex >(), requireType< typenameV::GlobalBasis >(), requireType< typenameV::Tree >(), requireType< typenameV::GridView >(), requireType< typenameV::Element >(), requireSameType< typenameV::GlobalBasis, GlobalBasis >(), requireSameType< typenameV::GridView, typenameGlobalBasis::GridView >(), requireSameType< typenameV::size_type, typenameGlobalBasis::size_type >(), requireSameType< typenameV::Element, typenameGlobalBasis::GridView::templateCodim< 0 >::Entity >(), const_cast< V & >(localView).bind(std::declval< typenameV::Element >()), const_cast< V & >(localView).unbind(), requireConvertible< bool >(localView.bound()), requireConvertible< typenameV::Tree >(localView.tree()), requireConvertible< typenameV::size_type >(localView.size()), requireConvertible< typenameV::MultiIndex >(localView.index(std::declval< typenameV::size_type >())), requireConvertible< typenameV::size_type >(localView.maxSize()), requireConvertible< typenameV::GlobalBasis >(localView.globalBasis()), requireConcept< BasisTree< typenameV::GridView > >(localView.tree()), 0)

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh